=== debian/changelog ===
teapop (0.3.7-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add update-inetd to teapop's dependencies
    - Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 18 Feb 2007 21:20:30 +0000

teapop (0.3.7-5) unstable; urgency=low

  * Update build-dep on postgresql-dev to libpq-dev. Closes: #409771

 -- Nick Phillips <nwp@lemon-computing.com>  Tue, 13 Feb 2007 21:58:18 +1300

teapop (0.3.7-4.2ubuntu2) feisty; urgency=low

  * debian/control: Change obsolete build dependency postgresql-dev to
    libpq-dev.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon,  5 Feb 2007 11:26:44 +0100

teapop (0.3.7-4.2ubuntu1) feisty; urgency=medium

  * debian/control: Add update-inetd to teapop's dependencies
    (Closes Ubuntu: #76156).

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 17 Dec 2006 15:48:46 +0100

teapop (0.3.7-4.2) unstable; urgency=medium

  * Non-maintainer upload to fix release critical bugs.
  * Do not require update-inetd to be present for succesful
    purge (Closes: #388609, #389640).

 -- Thijs Kinkhorst <thijs@debian.org>  Sun,  1 Oct 2006 16:36:06 +0200

teapop (0.3.7-4.1) unstable; urgency=medium

  * NMU.
  * Update MySQL build dependency to libmysqlclient15-dev.  Closes: #343804.
  * debian/po/ca.po: Add translation by Joan Queralt.  Closes: #235654.
  * debian/po/sv.po: Add translation by Daniel Nylander.  Closes: #342920.
  * debian/po/vi.po: Add translation by Clytie Siddall.  Closes: #320326.

 -- Matej Vela <vela@debian.org>  Sun, 19 Feb 2006 13:48:12 +0100

teapop (0.3.7-4) unstable; urgency=low

  * Rebuild to update debconf dependency to allow use of cdebconf-2.0.
    Closes #332112.
  * Build-dep on libmysqlclient14-dev.
  * Up debhelper comaptibility level from 1 to 4(!) (actually making
    packaging compatible too, I hope).

 -- Nick Phillips <nwp@lemon-computing.com>  Sun,  9 Oct 2005 19:25:56 +1300

teapop (0.3.7-3) unstable; urgency=low

  * Apply debconf translation updates.
    Closes: #266788, #267193, #267574, #288196, #289284

 -- Nick Phillips <nwp@lemon-computing.com>  Sat, 22 Jan 2005 17:28:47 +1300

teapop (0.3.7-2) unstable; urgency=medium

  * Add missing build-dep on libldap2-dev
  * medium urgency set (should have set on previous upload, as important
    bug #218191 causing minor corruption really should be fixed before sarge)

 -- Nick Phillips <nwp@lemon-computing.com>  Tue, 17 Aug 2004 19:11:04 +1200

teapop (0.3.7-1) unstable; urgency=low

  * New (well, not by now) upstream version. 0.3.6 was short-lived
    and slightly dodgy.
    No problems with dot at start of mbox line in this version.
    Notable new things include tcpwrapper support, message expiry,
    hashing of mailspools for other auth types, md5 password support.
    Oh, and APOP fixed. Closes: #218191, #173485,
  * Now building version with LDAP support. Closes: #142768
  * Integrated changes from NMUs below. Thanks, Christian. Closes: #192750, #201805
  * Added japanese debconf translation. Closes: #222276
  * Butcher .orig.tar.gz to remove RSA MD5 stuff completely; note that this
    is the only change made to the original, which means that the .orig.tar.gz
    will not build or function without applying the debian diff.
  * Fix po-debconfisation to deal with all appropriate templates files.
  
 -- Nick Phillips <nwp@lemon-computing.com>  Mon, 26 Jul 2004 23:26:44 +1100

teapop (0.3.5-2.2) unstable; urgency=low

  * NMU
  * Brazilian portuguese debconf translation update. Thanks, Andre Luis
    Lopes

 -- Christian Perrier <bubulle@debian.org>  Wed,  8 Oct 2003 17:53:51 +0200

teapop (0.3.5-2.1) unstable; urgency=low

  * NMU
  * Switch to po-debconf with a backport-friendly method as
    wished by the maintainer. Closes: #192750
  * Debconf templates french translation. Closes: #201805
  * Debconf templates brazilian portuguese translation
  * Some rewrite of original debconf templates for removing the
    mention of a "Yes/No" choice which does not exist when using
    translated templates of some debconf interfaces
  * Removed dh_make boilerplate in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Mon,  6 Oct 2003 17:28:29 +0200

teapop (0.3.5-2) unstable; urgency=low

  * Patch from tausq@debian.org to fix warnings
    & stop segfaults on ia64. Closes: #188911
  * Apply fix from upstream p4 to escape usernames
    before passing to mysql or pgsql
  * Apply fix from upstream p4 to fix APOP when using
    mysql or pgsql auth.

 -- Nick Phillips <nwp@lemon-computing.com>  Fri, 25 Apr 2003 16:53:50 +1200

teapop (0.3.5-1) unstable; urgency=high

  * Add section to debian/rules to deal with DEB_{HOST,BUILD}_GNU_TYPE
    as per autotools-dev 20020320.1 docs.
  * Rename configure.in to configure.ac to get it processed by autoconf
    2.5x (less likely to lead to errors than trying to remember to
    insert AC_PREREQ each time upstream configure.in changes).
  * correct building of SELECT string in pop_mysql.c to build query
    correctly when pmailrow is not specified, and tidy up equivalent part
    of pop_pgsql too (change now incorporated upstream) - Closes: #148995
  * IMPORTANT: New upstream version improves signal handling during POP
    DELE operations; this may fix some data loss issues - Closes: #172756
  * Removed CVS cruft - Closes: #172312
  * Incorporated fix to handling of null bytes in mboxes from development
    version, and carried it over to maildir handling.
    IMPORTANT: Whilst this fixes a potential data loss issue with mboxes,
    the issue with maildirs was never as serious, and the updated maildir
    code is currently (2002/12/17) barely tested (although the change is
    minor).
    There is also still a potential issue, although I don't believe it is
    serious, if the last line of an mbox or maildir mail file is an
    exact multiple of 1023 chars long... although it appears that with
    both mboxes and maildirs, last lines are _supposed_ to be empty.

