=== debian/control ===
Source: teapop
Section: mail
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Nick Phillips <nwp@lemon-computing.com>
Build-Depends: debhelper (>= 4.1.16), libmysqlclient15-dev, libpq-dev, libldap2-dev
Standards-Version: 3.6.1.1

Package: teapop
Architecture: any
Depends: netbase, update-inetd, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package does not include support for database
 authentication. Use the teapop-mysql, teapop-pgsql or teapop-ldap
 packages as appropriate if you need more than simple file-based
 authentication.

Package: teapop-mysql
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for database
 authentication using mysql. Use the teapop package if you
 need only file-based authentication, or the teapop-pgsql or
 teapop-ldap packages as appropriate.

Package: teapop-pgsql
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for database
 authentication using PostgreSQL. Use the teapop package if you
 need only file-based authentication, or the teapop-mysql or
 teapop-ldap packages as appropriate.

Package: teapop-ldap
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Recommends: mail-transport-agent
Suggests: stunnel
Conflicts: pop3-server
Provides: pop3-server
Replaces: pop3-server
Description: Powerful and flexible RFC-compliant POP3 server
 Teapop is a POP-3 server (compliant with RFC1939 and RFC2449)
 which supports:
     * Virtual hosting ("VPOP")
     * Flexible authentication (can get username/password from
       mysql, PostgreSQL, LDAP, .htpasswd files, system password db...)
     * APOP
     * mbox and Maildir-style spools
     * Use of X-UIDL headers
     * Ignoring UW-IMAPD control mails
     * Running from inetd or standalone
     * Various possible POP-before-SMTP methods if you know
       what you're doing.
 .
 The binary in this package includes support for authentication
 using LDAP. Use the teapop package if you need only file-based
 authentication, or pick one of the teapop-*sql packages as
 appropriate.
